.login-users {
	display: flex;
	align-items: center;
	justify-content: center;
	flex-wrap: wrap;

	width: calc(100% - 1.8em);
	height: calc(100vh - 5.2em);
	padding: 0 .9em;
}

@mixin hover-user() {
	& > div:nth-child(1) {
		border: solid 4px var(--selection);
		box-shadow: 0 0 4px 0 var(--selection);
	}

	& > div:nth-child(2) {
		color: var(--selection);
		text-shadow: 0 0 4px var(--selection);
	}
}

.login-user {
	width: calc(15em + 8px);
	margin: 2em;

	& > div:nth-child(1) {
		width: 15em;
		height: 15em;
		border: var(--box-detail-color) solid 4px;
		border-radius: 4px;
		cursor: pointer;

		& img {
			width: 100%;
			height: 100%;
		}
	}

	& > div:nth-child(2) {
		text-align: center;
		margin-top: 0.75em;
    	margin-bottom: 1.3em;
	}

	&:hover {
		@include hover-user()
	}
}

.login-user-selected {
	@include hover-user()
}


@mixin hover-new-user {
	& > div:nth-child(1) {
		border-color: var(--selection);
		box-shadow: 0 0 4px 0 var(--selection);
	}

	& i {
		text-shadow: 0 0 4px var(--selection);
		color: var(--selection);
	}
}

.new-user {
	width: calc(15em + 8px);
	margin: 2em;
	margin-bottom: 5.05em;

	& > div:nth-child(1) {
		width: 15em;
		height: 15em;
		border: var(--text-color) dashed 3px;
		border-radius: 16px;
		cursor: pointer;

		display: flex;
		align-items: center;
		justify-content: center;

		& i {
			font-size: 6em;
		}
	}

	&:hover {
		@include hover-new-user
	}
}

.login-new-user-selected {
	@include hover-new-user()
}
